/*------------------------------------------------*/
/* c40/exec1.c                                    */
#define _CRT_NONSTDC_NO_DEPRECATE
#include <stdlib.h>
#include <stdio.h>
#ifndef __unix__
#include <process.h>
#else
#include <unistd.h>
#endif
#include <errno.h>

#ifdef _MSC_VER
#define MUDRC "..\\Debug\\mudrc.exe"
#else
#define MUDRC "./mudrc"
#endif

int main(void)
{
    char *argv[] = { "mudrc", "prvni", "druhy", "treti", (char *)NULL };
    char *env[] = { "PATH=.", (char *)NULL };
    int navrat;

    printf("exec1: execl(\"nesmysl\",\"nesmysl\",\"argument1\", (char *)NULL);\n");

    navrat = execl("nesmysl", "nesmysl", "argument1", (char *)NULL);
    /* kdyby nesmysl existoval, nasledujici kod by jiz neprobehl */
    fprintf(stderr, "Navrat execl = %2i\n", navrat);
    perror("CHYBA EXECL");

    printf("exec1: execve(\"" MUDRC "\", argv, env);\n");
    execve(MUDRC, argv, env);
    /* pokud se podari spustit program mudrc,
     * nasledujici kod se jiz neprovede */
    fprintf(stderr, "Navrat execl = %2i\n", navrat);
    perror("CHYBA EXECVE");

    return 0;
}

/*------------------------------------------------*/
